Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227099 - Review Request: plexus-cdc-1.0-0.a4.2jpp - Plexus Component Descriptor Creator
Summary: Review Request: plexus-cdc-1.0-0.a4.2jpp - Plexus Component Descriptor Creator
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nuno Santos
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:50 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-25 19:33:58 UTC
nsantos: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:50:56 UTC
Spec URL: http://people.redhat.com/rafaels/specs/plexus-cdc-1.0-0.a4.2jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/plexus-cdc-1.0-0.a4.2jpp.src.rpm
Description: The Plexus project seeks to create end-to-end developer tools for
writing applications. At the core is the container, which can be
embedded or for a full scale application server. There are many
reusable components for hibernate, form processing, jndi, i18n,
velocity, etc. Plexus also includes an application server which
is like a J2EE application server, without all the baggage.

Javadoc for plexus-cdc.

Comment 1 Tania Bento 2007-02-21 17:59:51 UTC
Here are the links to an updated spec file and source rpm:

SPEC FILE:
https://mwringe.108.redhat.com/files/documents/175/234/plexus-cdc.spec

SOURCE RPM:
https://mwringe.108.redhat.com/files/documents/175/235/plexus-cdc-1.0-0.1.a4.2jpp.1.src.rpm

Comment 2 Nuno Santos 2007-02-21 20:45:48 UTC
plexus-cdc-1.0-0.1.a4.2jpp.1.src.rpm

Legend:
OK: passes criteria
NO: fails criteria (errors included between "--" markers)
NA: non applicable
??: unable to verify

MUST:
OK * package is named appropriately
OK - match upstream tarball or project name
OK - try to match previous incarnations in other distributions/packagers for
consistency
OK - specfile should be %{name}.spec
OK - non-numeric characters should only be used in Release (ie. cvs or
   something)
OK - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
OK - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
OK * is it legal for Fedora to distribute this?
OK - OSI-approved
OK - not a kernel module
OK - not shareware
OK - is it covered by patents?
OK - it *probably* shouldn't be an emulator
OK - no binary firmware
OK * license field matches the actual license.
OK * license is open source-compatible.
OK * specfile name matches %{name}
OK * verify source and patches (md5sum matches upstream, know what the patches do)
OK * skim the summary and description for typos, etc.
OK * correct buildroot
OK * if %{?dist} is used, it should be in that form (note the ? and %
locations)
NA * license text included in package and marked with %doc
(not included)
OK * keep old changelog entries; use judgement when removing (too old?
useless?)
OK * packages meets FHS (http://www.pathname.com/fhs/)
NO * rpmlint on <this package>.srpm gives no output
 - justify warnings if you think they shouldn't be there

--
$ rpmlint plexus-cdc-1.0-0.1.a4.2jpp.1.src.rpm 
W: plexus-cdc non-standard-group Development/Java
W: plexus-cdc mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 56)
(minor warnings, should be fine)
--

OK * changelog should be in one of these formats:
OK * Packager tag should not be used
OK * Vendor tag should not be used
OK * use License and not Copyright 
OK * Summary tag should not end in a period
NA * if possible, replace PreReq with Requires(pre) and/or Requires(post)
OK * specfile is legible
?? * package successfully compiles and builds on at least x86
?? * BuildRequires are proper
OK * summary should be a short and concise description of the package
OK * description expands upon summary (don't include installation
instructions)
NO * make sure lines are <= 80 characters

--
lines 54, 131, 138 are longer than 80 chars
--

OK * specfile written in American English
OK * make a -doc sub-package if necessary
NA * packages including libraries should exclude static libraries if possible
OK * don't use rpath
OK * config files should usually be marked with %config(noreplace)
NA * GUI apps should contain .desktop files
NA * should the package contain a -devel sub-package?
OK * use macros appropriately and consistently
OK * don't use %makeinstall
NA * locale data handling correct (find_lang)
OK * consider using cp -p to preserve timestamps
OK * split Requires(pre,post) into two separate lines
OK * package should probably not be relocatable
OK * package contains code
OK * package should own all directories and files
OK * there should be no %files duplicates
OK * file permissions should be okay; %defattrs should be present
OK * %clean should be present
OK * %doc files should not affect runtime
NA * if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
?? * verify the final provides and requires of the binary RPMs
?? * run rpmlint on the binary RPMs

SHOULD:
NA * package should include license text in the package and mark it with %doc
?? * package should build on i386
?? * package should build in mock


Notes:
- lines 165-170 are duplicates, should be removed:
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif


As discussed regarding a different package, I'm including the comments about
rpmlint and long lines just for the sake of completeness, they may be safely
ignored -- ie, I will mark as fedora-review+ as soon as the duplicate lines are
removed.


Comment 3 Tania Bento 2007-02-22 16:43:44 UTC
The duplicated lines have been removed.  Here are the links to the updated spec
file and source rpm:

SPEC FILE:
https://mwringe.108.redhat.com/files/documents/175/234/plexus-cdc.spec

SOURCE RPM:
https://mwringe.108.redhat.com/files/documents/175/235/plexus-cdc-1.0-0.1.a4.2jpp.1.src.rpm




Comment 4 Nuno Santos 2007-02-22 17:06:15 UTC
Approved

Comment 5 Deepak Bhole 2007-03-13 04:27:05 UTC
New Package CVS Request
=======================
Package Name: plexus-cdc
Short Description: Plexus Component Descriptor Creator
Owners: dbhole@redhat.com
Branches: devel

Comment 6 Deepak Bhole 2007-04-25 18:40:36 UTC
Re-assigning to reviewer. Package is in extras, please close.


Note You need to log in before you can comment on or make changes to this bug.